﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MenuHover : MonoBehaviour
{
    public GameObject HoverLight;
    public GameObject Stand;
    public Material m_PlayerStand_Default;
    public Material m_PlayerStand_Glow;
    private Renderer rend;

	// Use this for initialization
	void Start ()
    {
        rend = Stand.GetComponent<Renderer>();
        HoverLight.SetActive(false);
        rend.material = m_PlayerStand_Default;
	}

    private void OnMouseOver()
    {
        HoverLight.SetActive(true);
        rend.material = m_PlayerStand_Glow;
    }

    private void OnMouseExit()
    {
        HoverLight.SetActive(false);
        rend.material = m_PlayerStand_Default;
    }
}
